<?php
if (isset($tpl['status']))
{
	$status = __('status', true);
	switch ($tpl['status'])
	{
		case 2:
			pjUtil::printNotice(NULL, $status[2]);
			break;
	}
} else {
	if (isset($_GET['err']))
	{
		$titles = __('error_titles', true);
		$bodies = __('error_bodies', true);
		pjUtil::printNotice(@$titles[$_GET['err']], @$bodies[$_GET['err']]);
	}
	
	pjUtil::printNotice(__('infoRepliesTitle', true, false), __('infoRepliesDesc', true, false));
	?>
	
	<div class="b10">
		<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="get" class="float_left pj-form r10">
			<input type="hidden" name="controller" value="pjAdminReplies" />
			<input type="hidden" name="action" value="pjActionCreate" />
			<input type="submit" class="pj-button" value="<?php __('btnAddReply'); ?>" />
		</form>
		<form action="" method="get" class="float_left pj-form frm-filter">
			<input type="text" name="q" class="pj-form-field pj-form-field-search w150" placeholder="<?php __('btnSearch'); ?>" />
		</form>
		<?php
		$statuses = __('statuses', true);
		?>
		<div class="float_right t5">
			<a href="#" class="pj-button btn-all"><?php __('lblAll');?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="New"><?php echo $statuses['New']; ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="Approved"><?php echo $statuses['Approved']; ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="Banned"><?php echo $statuses['Banned']; ?></a>
			<a href="#" class="pj-button btn-filter btn-status" data-column="status" data-value="Reported"><?php __('lblReported'); ?></a>
		</div>
		<br class="clear_both" />
	</div>

	<div id="grid"></div>
	<script type="text/javascript">
	var pjGrid = pjGrid || {};
	pjGrid.queryString = "";
	<?php
	if (isset($_GET['category_id']) && (int) $_GET['category_id'] > 0)
	{
		?>pjGrid.queryString += "&category_id=<?php echo (int) $_GET['category_id']; ?>";<?php
	}
	if (isset($_GET['question_id']) && (int) $_GET['question_id'] > 0)
	{
		?>pjGrid.queryString += "&question_id=<?php echo (int) $_GET['question_id']; ?>";<?php
	}
	if (isset($_GET['user_id']) && (int) $_GET['user_id'] > 0)
	{
		?>pjGrid.queryString += "&user_id=<?php echo (int) $_GET['user_id']; ?>";<?php
	}
	?>
	var myLabel = myLabel || {};
	myLabel.reply = "<?php __('lblReply'); ?>";
	myLabel.name = "<?php __('lblName'); ?>";
	myLabel.reported = "<?php __('lblReported'); ?>";
	myLabel.rate = "<?php __('lblRate'); ?>";
	myLabel.date_time = "<?php __('lblDateTime'); ?>";
	myLabel.category = "<?php __('lblCategory'); ?>";
	myLabel.New = "<?php echo $statuses['New']; ?>";
	myLabel.Approved = "<?php echo $statuses['Approved']; ?>";
	myLabel.Banned = "<?php echo $statuses['Banned']; ?>";
	myLabel.delete_selected = "<?php __('delete_selected'); ?>";
	myLabel.delete_confirmation = "<?php __('delete_confirmation'); ?>";
	myLabel.status = "<?php __('lblStatus'); ?>";
	</script>
	<?php
}
?>